Description

J'ai implémenté les télécommandes TC_LFR_LOAD_KCOEFFICIENTS et TC_LFR_DUMP_K_COEFFICIENTS. Les mises a jours
sont nécessaires sur Ilfrcontrolplugin et Ilfrsgse pour que les paquets soient reconnus.

La commande TC_LFR_DUMP_K_COEFFICIENTS, génére I'émission de deux paquets TM_LFR_KCOEFFICIENTS_DUMP, le
premier paquet contient 30 blocs de 130 bytes et le deuxieme paquet contient 6 blocs de 130 bytes.

On peut envoyer 36 jeux de coefficients avec les commandes load: 11 pour f0, 13 pour f1 et 12 pour f2. Chaque jeu contient 32
cofficients.

Lors d'un DUMP, le premier paquet contient les 11 jeux f0, les 13 jeux f1 et les 6 permiers jeux de coefficients a f2. Le deuxiéme
paquet contient les 6 derniers jeux de coefficients a f2.

Lors d'un load, le parametre sy_Ifr_kcoeff_frequency permet d'identifier le jeu de coefficients transmis:

=>0 .. 10, pour les jeux de coefficients fO

=> 11 .. 23, pour les jeux de coefficients 12

=> 24 .. 25, pour les jeux de coefficients f2

Les coefficients sont des float, méfiez-vous, la norme ICD est MSB first.

History

#1 - 15/04/2015 04:58 PM - paul leroy

- Tracker changed from Task to Feature

#2 - 21/04/2015 11:07 AM - paul leroy

Il est possible d'utiliser Ifrcontrolplugin (rev >= 3.0.0.0) pour dumper les valeurs des coefficients.

#3 - 19/11/2015 04:59 PM - bruno katra

- Status changed from New to Closed
